> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Login a donor and process their donation



## OpenAPI

````yaml post /frontend/checkout/login/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/checkout/login/{client_id}/{program_id}/{session_id}:
    post:
      tags:
        - Frontend
      summary: Login a donor and process their donation
      operationId: dff48397299f0edaa4cee2373b911864
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: The ID of the session
          required: true
          schema:
            type: integer
      requestBody:
        description: Data needed to login a donor and process their donation
        required: true
        content:
          application/json:
            schema:
              required:
                - login_username
                - login_password
              properties:
                login_username:
                  type: string
                  example: donor123
                login_password:
                  type: string
                  example: password123
                method_login:
                  type: string
                  example: '3'
                rememberMe:
                  type: boolean
                  example: 'false'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: 'Success: Donation Added'
                  username:
                    type: string
                    example: donor123
                  email:
                    type: string
                    example: donor123@example.com
                  redirect:
                    type: string
                    example: /frontend/donor_view/1/1/1
                  session_id:
                    type: integer
                    example: 1
                type: object
        '400':
          description: Error operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: 'Error: Donor Not Found'
                  session_id:
                    type: integer
                    example: 1
                type: object

````